!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(471)%branchR2(0:0))
    call avR2(471, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(472)%branchR2(0:0))
    call avR2(472, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(469)%branchR2(0:0))
    call avR2(469, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(470)%branchR2(0:0))
    call avR2(470, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(473)%branchR2(0:0))
    call avR2(473, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(474)%branchR2(0:0))
    call avR2(474, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(49)%branchR2(0:0))
    call avR2(49, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(460)%branchR2(0:0))
    call avR2(460, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(458)%branchR2(0:0))
    call avR2(458, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(459)%branchR2(0:0))
    call avR2(459, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(462)%branchR2(0:0))
    call avR2(462, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(461)%branchR2(0:0))
    call avR2(461, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(476)%branchR2(0:0))
    call avR2(476, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(475)%branchR2(0:0))
    call avR2(475, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(479)%branchR2(0:0))
    call avR2(479, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(480)%branchR2(0:0))
    call avR2(480, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(478)%branchR2(0:0))
    call avR2(478, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(477)%branchR2(0:0))
    call avR2(477, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(1158)%branchR2(0:0))
    call avR2(1158, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1159)%branchR2(0:0))
    call avR2(1159, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1160)%branchR2(0:0))
    call avR2(1160, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1161)%branchR2(0:0))
    call avR2(1161, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1162)%branchR2(0:0))
    call avR2(1162, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1163)%branchR2(0:0))
    call avR2(1163, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(374)%branchR2(0:0))
    call avR2(374, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(375)%branchR2(0:0))
    call avR2(375, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(376)%branchR2(0:0))
    call avR2(376, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(377)%branchR2(0:0))
    call avR2(377, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(378)%branchR2(0:0))
    call avR2(378, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(379)%branchR2(0:0))
    call avR2(379, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(380)%branchR2(0:0))
    call avR2(380, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(381)%branchR2(0:0))
    call avR2(381, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(43)%branchR2(0:0))
    call avR2(43, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(382)%branchR2(0:0))
    call avR2(382, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(383)%branchR2(0:0))
    call avR2(383, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(384)%branchR2(0:0))
    call avR2(384, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(385)%branchR2(0:0))
    call avR2(385, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(386)%branchR2(0:0))
    call avR2(386, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(387)%branchR2(0:0))
    call avR2(387, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(388)%branchR2(0:0))
    call avR2(388, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(389)%branchR2(0:0))
    call avR2(389, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(390)%branchR2(0:0))
    call avR2(390, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(391)%branchR2(0:0))
    call avR2(391, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(392)%branchR2(0:0))
    call avR2(392, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(394)%branchR2(0:0))
    call avR2(394, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(395)%branchR2(0:0))
    call avR2(395, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(396)%branchR2(0:0))
    call avR2(396, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(402)%branchR2(0:0))
    call avR2(402, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(403)%branchR2(0:0))
    call avR2(403, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(404)%branchR2(0:0))
    call avR2(404, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(405)%branchR2(0:0))
    call avR2(405, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(406)%branchR2(0:0))
    call avR2(406, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(407)%branchR2(0:0))
    call avR2(407, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(397)%branchR2(0:0))
    call avR2(397, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(44)%branchR2(0:0))
    call avR2(44, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(398)%branchR2(0:0))
    call avR2(398, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(399)%branchR2(0:0))
    call avR2(399, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(400)%branchR2(0:0))
    call avR2(400, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(401)%branchR2(0:0))
    call avR2(401, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(408)%branchR2(0:0))
    call avR2(408, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(409)%branchR2(0:0))
    call avR2(409, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(410)%branchR2(0:0))
    call avR2(410, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(411)%branchR2(0:0))
    call avR2(411, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(412)%branchR2(0:0))
    call avR2(412, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(413)%branchR2(0:0))
    call avR2(413, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(414)%branchR2(0:0))
    call avR2(414, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(415)%branchR2(0:0))
    call avR2(415, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(416)%branchR2(0:0))
    call avR2(416, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(417)%branchR2(0:0))
    call avR2(417, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(418)%branchR2(0:0))
    call avR2(418, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(419)%branchR2(0:0))
    call avR2(419, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(180)%branchR2(0:0))
    call avR2(180, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(181)%branchR2(0:0))
    call avR2(181, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(177)%branchR2(0:0))
    call avR2(177, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(176)%branchR2(0:0))
    call avR2(176, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(179)%branchR2(0:0))
    call avR2(179, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(178)%branchR2(0:0))
    call avR2(178, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(186)%branchR2(0:0))
    call avR2(186, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(187)%branchR2(0:0))
    call avR2(187, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(183)%branchR2(0:0))
    call avR2(183, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(182)%branchR2(0:0))
    call avR2(182, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(185)%branchR2(0:0))
    call avR2(185, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(184)%branchR2(0:0))
    call avR2(184, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(167)%branchR2(0:0))
    call avR2(167, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(166)%branchR2(0:0))
    call avR2(166, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(169)%branchR2(0:0))
    call avR2(169, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(168)%branchR2(0:0))
    call avR2(168, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(165)%branchR2(0:0))
    call avR2(165, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(6)%branchR2(0:0))
    call avR2(6, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(173)%branchR2(0:0))
    call avR2(173, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(172)%branchR2(0:0))
    call avR2(172, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(175)%branchR2(0:0))
    call avR2(175, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(174)%branchR2(0:0))
    call avR2(174, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(170)%branchR2(0:0))
    call avR2(170, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(171)%branchR2(0:0))
    call avR2(171, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(1164)%branchR2(0:0))
    call avR2(1164, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288, nGC_3288&
    ])

    allocate(vertices(1165)%branchR2(0:0))
    call avR2(1165, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288, nGC_3288&
    ])

    allocate(vertices(1166)%branchR2(0:0))
    call avR2(1166, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288, nGC_3288&
    ])

    allocate(vertices(1167)%branchR2(0:0))
    call avR2(1167, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288, nGC_3288&
    ])

    allocate(vertices(1168)%branchR2(0:0))
    call avR2(1168, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288, nGC_3288&
    ])

    allocate(vertices(1169)%branchR2(0:0))
    call avR2(1169, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288, nGC_3288&
    ])

    allocate(vertices(1170)%branchR2(0:0))
    call avR2(1170, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289, nGC_3289&
    ])

    allocate(vertices(1171)%branchR2(0:0))
    call avR2(1171, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290, nGC_3290&
    ])

    allocate(vertices(1172)%branchR2(0:0))
    call avR2(1172, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290, nGC_3290&
    ])

    allocate(vertices(1173)%branchR2(0:0))
    call avR2(1173, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290, nGC_3290&
    ])

    allocate(vertices(1174)%branchR2(0:0))
    call avR2(1174, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290, nGC_3290&
    ])

    allocate(vertices(34)%branchR2(0:0))
    call avR2(34, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3291])

    allocate(vertices(330)%branchR2(0:0))
    call avR2(330, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3291])

    allocate(vertices(331)%branchR2(0:0))
    call avR2(331, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3291])

    allocate(vertices(332)%branchR2(0:0))
    call avR2(332, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3291])

    allocate(vertices(333)%branchR2(0:0))
    call avR2(333, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3291])

    allocate(vertices(334)%branchR2(0:0))
    call avR2(334, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3291])

    allocate(vertices(1099)%branchR2(0:0))
    call avR2(1099, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1100)%branchR2(0:0))
    call avR2(1100, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1101)%branchR2(0:0))
    call avR2(1101, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1051)%branchR2(0:0))
    call avR2(1051, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1097)%branchR2(0:0))
    call avR2(1097, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1098)%branchR2(0:0))
    call avR2(1098, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1104)%branchR2(0:0))
    call avR2(1104, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1105)%branchR2(0:0))
    call avR2(1105, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1102)%branchR2(0:0))
    call avR2(1102, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1103)%branchR2(0:0))
    call avR2(1103, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1107)%branchR2(0:0))
    call avR2(1107, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1106)%branchR2(0:0))
    call avR2(1106, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1087)%branchR2(0:0))
    call avR2(1087, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1086)%branchR2(0:0))
    call avR2(1086, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1090)%branchR2(0:0))
    call avR2(1090, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1091)%branchR2(0:0))
    call avR2(1091, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1088)%branchR2(0:0))
    call avR2(1088, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1089)%branchR2(0:0))
    call avR2(1089, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1094)%branchR2(0:0))
    call avR2(1094, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1095)%branchR2(0:0))
    call avR2(1095, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1096)%branchR2(0:0))
    call avR2(1096, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1092)%branchR2(0:0))
    call avR2(1092, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1093)%branchR2(0:0))
    call avR2(1093, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1050)%branchR2(0:0))
    call avR2(1050, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(33)%branchR2(0:0))
    call avR2(33, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(319)%branchR2(0:0))
    call avR2(319, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(320)%branchR2(0:0))
    call avR2(320, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(321)%branchR2(0:0))
    call avR2(321, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(322)%branchR2(0:0))
    call avR2(322, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(323)%branchR2(0:0))
    call avR2(323, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(324)%branchR2(0:0))
    call avR2(324, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(325)%branchR2(0:0))
    call avR2(325, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(326)%branchR2(0:0))
    call avR2(326, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(327)%branchR2(0:0))
    call avR2(327, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(328)%branchR2(0:0))
    call avR2(328, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(329)%branchR2(0:0))
    call avR2(329, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(340)%branchR2(0:0))
    call avR2(340, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(341)%branchR2(0:0))
    call avR2(341, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(36)%branchR2(0:0))
    call avR2(36, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(342)%branchR2(0:0))
    call avR2(342, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(343)%branchR2(0:0))
    call avR2(343, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(344)%branchR2(0:0))
    call avR2(344, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(345)%branchR2(0:0))
    call avR2(345, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(346)%branchR2(0:0))
    call avR2(346, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(347)%branchR2(0:0))
    call avR2(347, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(348)%branchR2(0:0))
    call avR2(348, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(349)%branchR2(0:0))
    call avR2(349, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(350)%branchR2(0:0))
    call avR2(350, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(520)%branchR2(0:0))
    call avR2(520, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(521)%branchR2(0:0))
    call avR2(521, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(518)%branchR2(0:0))
    call avR2(518, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(519)%branchR2(0:0))
    call avR2(519, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(523)%branchR2(0:0))
    call avR2(523, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(522)%branchR2(0:0))
    call avR2(522, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(514)%branchR2(0:0))
    call avR2(514, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(515)%branchR2(0:0))
    call avR2(515, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(512)%branchR2(0:0))
    call avR2(512, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(513)%branchR2(0:0))
    call avR2(513, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(517)%branchR2(0:0))
    call avR2(517, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(516)%branchR2(0:0))
    call avR2(516, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(54)%branchR2(0:0))
    call avR2(54, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(509)%branchR2(0:0))
    call avR2(509, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(507)%branchR2(0:0))
    call avR2(507, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(508)%branchR2(0:0))
    call avR2(508, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(511)%branchR2(0:0))
    call avR2(511, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(510)%branchR2(0:0))
    call avR2(510, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(529)%branchR2(0:0))
    call avR2(529, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(528)%branchR2(0:0))
    call avR2(528, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(527)%branchR2(0:0))
    call avR2(527, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(526)%branchR2(0:0))
    call avR2(526, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(525)%branchR2(0:0))
    call avR2(525, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(524)%branchR2(0:0))
    call avR2(524, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3296])

    allocate(vertices(633)%branchR2(0:0))
    call avR2(633, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(632)%branchR2(0:0))
    call avR2(632, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(635)%branchR2(0:0))
    call avR2(635, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(634)%branchR2(0:0))
    call avR2(634, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(630)%branchR2(0:0))
    call avR2(630, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(631)%branchR2(0:0))
    call avR2(631, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(643)%branchR2(0:0))
    call avR2(643, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(642)%branchR2(0:0))
    call avR2(642, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(646)%branchR2(0:0))
    call avR2(646, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(647)%branchR2(0:0))
    call avR2(647, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(644)%branchR2(0:0))
    call avR2(644, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(645)%branchR2(0:0))
    call avR2(645, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(649)%branchR2(0:0))
    call avR2(649, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(648)%branchR2(0:0))
    call avR2(648, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(652)%branchR2(0:0))
    call avR2(652, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(650)%branchR2(0:0))
    call avR2(650, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(651)%branchR2(0:0))
    call avR2(651, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(636)%branchR2(0:0))
    call avR2(636, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(637)%branchR2(0:0))
    call avR2(637, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(638)%branchR2(0:0))
    call avR2(638, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(639)%branchR2(0:0))
    call avR2(639, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(640)%branchR2(0:0))
    call avR2(640, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(641)%branchR2(0:0))
    call avR2(641, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(661)%branchR2(0:0))
    call avR2(661, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(662)%branchR2(0:0))
    call avR2(662, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(659)%branchR2(0:0))
    call avR2(659, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(660)%branchR2(0:0))
    call avR2(660, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(664)%branchR2(0:0))
    call avR2(664, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(64)%branchR2(0:0))
    call avR2(64, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(669)%branchR2(0:0))
    call avR2(669, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(665)%branchR2(0:0))
    call avR2(665, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(666)%branchR2(0:0))
    call avR2(666, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(668)%branchR2(0:0))
    call avR2(668, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(667)%branchR2(0:0))
    call avR2(667, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(653)%branchR2(0:0))
    call avR2(653, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(654)%branchR2(0:0))
    call avR2(654, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(655)%branchR2(0:0))
    call avR2(655, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(656)%branchR2(0:0))
    call avR2(656, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(657)%branchR2(0:0))
    call avR2(657, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(658)%branchR2(0:0))
    call avR2(658, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(675)%branchR2(0:0))
    call avR2(675, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(674)%branchR2(0:0))
    call avR2(674, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(673)%branchR2(0:0))
    call avR2(673, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(672)%branchR2(0:0))
    call avR2(672, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(670)%branchR2(0:0))
    call avR2(670, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(671)%branchR2(0:0))
    call avR2(671, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(67)%branchR2(0:0))
    call avR2(67, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(691)%branchR2(0:0))
    call avR2(691, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(689)%branchR2(0:0))
    call avR2(689, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(690)%branchR2(0:0))
    call avR2(690, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3299])

    allocate(vertices(693)%branchR2(0:0))
    call avR2(693, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(692)%branchR2(0:0))
    call avR2(692, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3299])

    allocate(vertices(686)%branchR2(0:0))
    call avR2(686, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(687)%branchR2(0:0))
    call avR2(687, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3299])

    allocate(vertices(688)%branchR2(0:0))
    call avR2(688, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3299])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(695)%branchR2(0:0))
    call avR2(695, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3299])

    allocate(vertices(694)%branchR2(0:0))
    call avR2(694, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3299])

    allocate(vertices(581)%branchR2(0:0))
    call avR2(581, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(582)%branchR2(0:0))
    call avR2(582, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(579)%branchR2(0:0))
    call avR2(579, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(580)%branchR2(0:0))
    call avR2(580, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(584)%branchR2(0:0))
    call avR2(584, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(583)%branchR2(0:0))
    call avR2(583, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(590)%branchR2(0:0))
    call avR2(590, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(592)%branchR2(0:0))
    call avR2(592, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(594)%branchR2(0:0))
    call avR2(594, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(595)%branchR2(0:0))
    call avR2(595, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(585)%branchR2(0:0))
    call avR2(585, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(586)%branchR2(0:0))
    call avR2(586, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(60)%branchR2(0:0))
    call avR2(60, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(587)%branchR2(0:0))
    call avR2(587, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(588)%branchR2(0:0))
    call avR2(588, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(589)%branchR2(0:0))
    call avR2(589, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(597)%branchR2(0:0))
    call avR2(597, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(596)%branchR2(0:0))
    call avR2(596, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(600)%branchR2(0:0))
    call avR2(600, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(598)%branchR2(0:0))
    call avR2(598, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(599)%branchR2(0:0))
    call avR2(599, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(607)%branchR2(0:0))
    call avR2(607, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(608)%branchR2(0:0))
    call avR2(608, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(609)%branchR2(0:0))
    call avR2(609, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(612)%branchR2(0:0))
    call avR2(612, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(602)%branchR2(0:0))
    call avR2(602, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(61)%branchR2(0:0))
    call avR2(61, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(603)%branchR2(0:0))
    call avR2(603, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(605)%branchR2(0:0))
    call avR2(605, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(606)%branchR2(0:0))
    call avR2(606, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(616)%branchR2(0:0))
    call avR2(616, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(613)%branchR2(0:0))
    call avR2(613, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(614)%branchR2(0:0))
    call avR2(614, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(618)%branchR2(0:0))
    call avR2(618, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(617)%branchR2(0:0))
    call avR2(617, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(621)%branchR2(0:0))
    call avR2(621, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(619)%branchR2(0:0))
    call avR2(619, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(620)%branchR2(0:0))
    call avR2(620, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(624)%branchR2(0:0))
    call avR2(624, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(623)%branchR2(0:0))
    call avR2(623, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(497)%branchR2(0:0))
    call avR2(497, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3301])

    allocate(vertices(496)%branchR2(0:0))
    call avR2(496, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3301])

    allocate(vertices(500)%branchR2(0:0))
    call avR2(500, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3301])

    allocate(vertices(501)%branchR2(0:0))
    call avR2(501, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3301])

    allocate(vertices(498)%branchR2(0:0))
    call avR2(498, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3301])

    allocate(vertices(499)%branchR2(0:0))
    call avR2(499, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3301])

    allocate(vertices(504)%branchR2(0:0))
    call avR2(504, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3301])

    allocate(vertices(505)%branchR2(0:0))
    call avR2(505, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3301])

    allocate(vertices(506)%branchR2(0:0))
    call avR2(506, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3301])

    allocate(vertices(502)%branchR2(0:0))
    call avR2(502, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3301])

    allocate(vertices(503)%branchR2(0:0))
    call avR2(503, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3301])

    allocate(vertices(53)%branchR2(0:0))
    call avR2(53, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3301])

    allocate(vertices(1175)%branchR2(0:0))
    call avR2(1175, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3302, nGC_3302, nGC_3302&
    ])

    allocate(vertices(1176)%branchR2(0:0))
    call avR2(1176, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3302, nGC_3302, nGC_3302&
    ])

    allocate(vertices(1177)%branchR2(0:0))
    call avR2(1177, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3302, nGC_3302, nGC_3302&
    ])

    allocate(vertices(1178)%branchR2(0:0))
    call avR2(1178, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3302, nGC_3302, nGC_3302&
    ])

    allocate(vertices(32)%branchR2(0:0))
    call avR2(32, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3303])

    allocate(vertices(1179)%branchR2(0:1))
    call avR2(1179, 0, 45, 5, 0, VVSS0, 0, [2, 2], [nGC_3304])

    call avR2(1179, 1, 46, 5, 0, VVSS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 45, 5, 0, VVSS0, 0, [2, 2], [nGC_3304])

    call avR2(1180, 1, 46, 5, 0, VVSS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1181)%branchR2(0:1))
    call avR2(1181, 0, 47, 5, 0, VSVS0, 0, [2, 2], [nGC_3304])

    call avR2(1181, 1, 48, 5, 0, VSVS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1182)%branchR2(0:1))
    call avR2(1182, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_3304])

    call avR2(1182, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1183)%branchR2(0:1))
    call avR2(1183, 0, 47, 5, 0, VSVS0, 0, [2, 2], [nGC_3304])

    call avR2(1183, 1, 48, 5, 0, VSVS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_3304])

    call avR2(1184, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1185)%branchR2(0:1))
    call avR2(1185, 0, 51, 5, 0, SVVS0, 0, [2, 2], [nGC_3304])

    call avR2(1185, 1, 52, 5, 0, SVVS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 53, 5, 0, SVSV0, 0, [2, 2], [nGC_3304])

    call avR2(1186, 1, 54, 5, 0, SVSV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1187)%branchR2(0:1))
    call avR2(1187, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_3304])

    call avR2(1187, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1188)%branchR2(0:1))
    call avR2(1188, 0, 51, 5, 0, SVVS0, 0, [2, 2], [nGC_3304])

    call avR2(1188, 1, 52, 5, 0, SVVS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1189)%branchR2(0:1))
    call avR2(1189, 0, 53, 5, 0, SVSV0, 0, [2, 2], [nGC_3304])

    call avR2(1189, 1, 54, 5, 0, SVSV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1190)%branchR2(0:1))
    call avR2(1190, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_3304])

    call avR2(1190, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(35)%branchR2(0:0))
    call avR2(35, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(335)%branchR2(0:0))
    call avR2(335, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(336)%branchR2(0:0))
    call avR2(336, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(337)%branchR2(0:0))
    call avR2(337, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(338)%branchR2(0:0))
    call avR2(338, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(339)%branchR2(0:0))
    call avR2(339, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(533)%branchR2(0:0))
    call avR2(533, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(534)%branchR2(0:0))
    call avR2(534, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(55)%branchR2(0:0))
    call avR2(55, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(530)%branchR2(0:0))
    call avR2(530, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(531)%branchR2(0:0))
    call avR2(531, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(537)%branchR2(0:0))
    call avR2(537, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(538)%branchR2(0:0))
    call avR2(538, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(535)%branchR2(0:0))
    call avR2(535, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(536)%branchR2(0:0))
    call avR2(536, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(540)%branchR2(0:0))
    call avR2(540, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(539)%branchR2(0:0))
    call avR2(539, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(37)%branchR2(0:0))
    call avR2(37, 0, 9, 5, 0, SSSS0, 0, [0, 4], [nGC_3308])

    allocate(vertices(164)%branchR2(0:0))
    call avR2(164, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3309, nGC_3309, nGC_9567])

    allocate(vertices(163)%branchR2(0:0))
    call avR2(163, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3309, nGC_9567, nGC_3309])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_9567, nGC_3309, nGC_3309])

    allocate(vertices(161)%branchR2(0:0))
    call avR2(161, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_9567, nGC_3309, nGC_3309])

    allocate(vertices(160)%branchR2(0:0))
    call avR2(160, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3309, nGC_9567, nGC_3309])

    allocate(vertices(5)%branchR2(0:0))
    call avR2(5, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3309, nGC_3309, nGC_9567])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3310])

    allocate(vertices(682)%branchR2(0:0))
    call avR2(682, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3310])

    allocate(vertices(683)%branchR2(0:0))
    call avR2(683, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3310])

    allocate(vertices(684)%branchR2(0:0))
    call avR2(684, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3310])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3310])

    allocate(vertices(66)%branchR2(0:0))
    call avR2(66, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3310])

    allocate(vertices(1191)%branchR2(0:1))
    call avR2(1191, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,        &
    nGC_3311])

    call avR2(1191, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,        &
    nGC_3312])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,        &
    nGC_3311])

    call avR2(1192, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,        &
    nGC_3312])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,        &
    nGC_3311])

    call avR2(1193, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,        &
    nGC_3312])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,        &
    nGC_3311])

    call avR2(1194, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,        &
    nGC_3312])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,        &
    nGC_3311])

    call avR2(1195, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,        &
    nGC_3312])

    allocate(vertices(1196)%branchR2(0:1))
    call avR2(1196, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3311, nGC_3311,        &
    nGC_3311])

    call avR2(1196, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3312, nGC_3312,        &
    nGC_3312])

    allocate(vertices(193)%branchR2(0:0))
    call avR2(193, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3313, nGC_3314])

    allocate(vertices(192)%branchR2(0:0))
    call avR2(192, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3313, nGC_3314])

    allocate(vertices(195)%branchR2(0:0))
    call avR2(195, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3314, nGC_3313])

    allocate(vertices(194)%branchR2(0:0))
    call avR2(194, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313, nGC_3313])

    allocate(vertices(190)%branchR2(0:0))
    call avR2(190, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3314, nGC_3313])

    allocate(vertices(191)%branchR2(0:0))
    call avR2(191, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313, nGC_3313])

    allocate(vertices(198)%branchR2(0:0))
    call avR2(198, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313, nGC_3313])

    allocate(vertices(197)%branchR2(0:0))
    call avR2(197, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3314, nGC_3313])

    allocate(vertices(196)%branchR2(0:0))
    call avR2(196, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3313, nGC_3314])

    allocate(vertices(188)%branchR2(0:0))
    call avR2(188, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313, nGC_3313])

    allocate(vertices(189)%branchR2(0:0))
    call avR2(189, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3314, nGC_3313])

    allocate(vertices(7)%branchR2(0:0))
    call avR2(7, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3313, nGC_3314])

    allocate(vertices(68)%branchR2(0:0))
    call avR2(68, 0, 9, 5, 0, VVSS0, 0, [0, 4], [nGC_3315])

    allocate(vertices(697)%branchR2(0:0))
    call avR2(697, 0, 9, 5, 0, VSVS0, 0, [0, 4], [nGC_3315])

    allocate(vertices(698)%branchR2(0:0))
    call avR2(698, 0, 9, 5, 0, VSSV0, 0, [0, 4], [nGC_3315])

    allocate(vertices(699)%branchR2(0:0))
    call avR2(699, 0, 9, 5, 0, SVVS0, 0, [0, 4], [nGC_3315])

    allocate(vertices(700)%branchR2(0:0))
    call avR2(700, 0, 9, 5, 0, SVSV0, 0, [0, 4], [nGC_3315])

    allocate(vertices(701)%branchR2(0:0))
    call avR2(701, 0, 9, 5, 0, SSVV0, 0, [0, 4], [nGC_3315])

    allocate(vertices(1197)%branchR2(0:1))
    call avR2(1197, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1197, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1198, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1199)%branchR2(0:1))
    call avR2(1199, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1199, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1200, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1201)%branchR2(0:1))
    call avR2(1201, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1201, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1202)%branchR2(0:1))
    call avR2(1202, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1202, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1203)%branchR2(0:1))
    call avR2(1203, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1203, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1204)%branchR2(0:1))
    call avR2(1204, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1204, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1205)%branchR2(0:1))
    call avR2(1205, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1205, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1206)%branchR2(0:1))
    call avR2(1206, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1206, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1207)%branchR2(0:1))
    call avR2(1207, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1207, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1208)%branchR2(0:1))
    call avR2(1208, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1208, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1209)%branchR2(0:1))
    call avR2(1209, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_3318])

    call avR2(1209, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_3319])

    allocate(vertices(1210)%branchR2(0:1))
    call avR2(1210, 0, 53, 5, 0, SVSV0, 0, [2, 2], [nGC_3318])

    call avR2(1210, 1, 54, 5, 0, SVSV0, 0, [2, 2], [nGC_3319])

    allocate(vertices(1211)%branchR2(0:1))
    call avR2(1211, 0, 51, 5, 0, SVVS0, 0, [2, 2], [nGC_3318])

    call avR2(1211, 1, 52, 5, 0, SVVS0, 0, [2, 2], [nGC_3319])

    allocate(vertices(1212)%branchR2(0:1))
    call avR2(1212, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_3318])

    call avR2(1212, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_3319])

    allocate(vertices(1213)%branchR2(0:1))
    call avR2(1213, 0, 47, 5, 0, VSVS0, 0, [2, 2], [nGC_3318])

    call avR2(1213, 1, 48, 5, 0, VSVS0, 0, [2, 2], [nGC_3319])

    allocate(vertices(1214)%branchR2(0:1))
    call avR2(1214, 0, 45, 5, 0, VVSS0, 0, [2, 2], [nGC_3318])

    call avR2(1214, 1, 46, 5, 0, VVSS0, 0, [2, 2], [nGC_3319])

    allocate(vertices(1215)%branchR2(0:1))
    call avR2(1215, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1215, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1216)%branchR2(0:1))
    call avR2(1216, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1216, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1217)%branchR2(0:1))
    call avR2(1217, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1217, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1218)%branchR2(0:1))
    call avR2(1218, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1218, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1219)%branchR2(0:1))
    call avR2(1219, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1219, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1220)%branchR2(0:1))
    call avR2(1220, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1220, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1221)%branchR2(0:1))
    call avR2(1221, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1221, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1222)%branchR2(0:1))
    call avR2(1222, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1222, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1223)%branchR2(0:1))
    call avR2(1223, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1223, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1224)%branchR2(0:1))
    call avR2(1224, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1224, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1225)%branchR2(0:1))
    call avR2(1225, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1225, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1226)%branchR2(0:1))
    call avR2(1226, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1226, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1227)%branchR2(0:1))
    call avR2(1227, 0, 45, 5, 0, VVSS0, 0, [2, 2], [nGC_3322])

    call avR2(1227, 1, 46, 5, 0, VVSS0, 0, [2, 2], [nGC_3323])

    allocate(vertices(1228)%branchR2(0:1))
    call avR2(1228, 0, 47, 5, 0, VSVS0, 0, [2, 2], [nGC_3322])

    call avR2(1228, 1, 48, 5, 0, VSVS0, 0, [2, 2], [nGC_3323])

    allocate(vertices(1229)%branchR2(0:1))
    call avR2(1229, 0, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_3322])

    call avR2(1229, 1, 50, 5, 0, VSSV0, 0, [2, 2], [nGC_3323])

    allocate(vertices(1230)%branchR2(0:1))
    call avR2(1230, 0, 51, 5, 0, SVVS0, 0, [2, 2], [nGC_3322])

    call avR2(1230, 1, 52, 5, 0, SVVS0, 0, [2, 2], [nGC_3323])

    allocate(vertices(1231)%branchR2(0:1))
    call avR2(1231, 0, 53, 5, 0, SVSV0, 0, [2, 2], [nGC_3322])

    call avR2(1231, 1, 54, 5, 0, SVSV0, 0, [2, 2], [nGC_3323])

    allocate(vertices(1232)%branchR2(0:1))
    call avR2(1232, 0, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_3322])

    call avR2(1232, 1, 44, 5, 0, SSVV0, 0, [2, 2], [nGC_3323])

    allocate(vertices(1233)%branchR2(0:0))
    call avR2(1233, 0, 9, 5, 0, VVVV0, 0, [0, 4], [nGC_3324, nGC_3324, nGC_3324&
    ])

    allocate(vertices(1234)%branchR2(0:1))
    call avR2(1234, 0, 43, 5, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1234, 1, 44, 5, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(1235)%branchR2(0:1))
    call avR2(1235, 0, 51, 5, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1235, 1, 52, 5, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(1236)%branchR2(0:1))
    call avR2(1236, 0, 53, 5, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1236, 1, 54, 5, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(1237)%branchR2(0:1))
    call avR2(1237, 0, 47, 5, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1237, 1, 48, 5, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(1238)%branchR2(0:1))
    call avR2(1238, 0, 49, 5, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1238, 1, 50, 5, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(1239)%branchR2(0:1))
    call avR2(1239, 0, 45, 5, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1239, 1, 46, 5, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(1240)%branchR2(0:5))
    call avR2(1240, 0, 61, 5, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    call avR2(1240, 1, 62, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1240, 2, 63, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1240, 3, 64, 5, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,        &
    nGC_3329])

    call avR2(1240, 4, 65, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1240, 5, 66, 5, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    allocate(vertices(1241)%branchR2(0:5))
    call avR2(1241, 0, 67, 5, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    call avR2(1241, 1, 68, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1241, 2, 69, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1241, 3, 70, 5, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,        &
    nGC_3329])

    call avR2(1241, 4, 71, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1241, 5, 72, 5, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    allocate(vertices(1242)%branchR2(0:5))
    call avR2(1242, 0, 73, 5, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    call avR2(1242, 1, 74, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1242, 2, 75, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1242, 3, 76, 5, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,        &
    nGC_3329])

    call avR2(1242, 4, 77, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1242, 5, 78, 5, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    allocate(vertices(1243)%branchR2(0:5))
    call avR2(1243, 0, 55, 5, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    call avR2(1243, 1, 56, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1243, 2, 57, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1243, 3, 58, 5, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,        &
    nGC_3329])

    call avR2(1243, 4, 59, 5, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1243, 5, 60, 5, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    allocate(vertices(1244)%branchR2(0:5))
    call avR2(1244, 0, 55, 5, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    call avR2(1244, 1, 56, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1244, 2, 57, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1244, 3, 58, 5, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,        &
    nGC_3332])

    call avR2(1244, 4, 59, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1244, 5, 60, 5, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    allocate(vertices(1245)%branchR2(0:5))
    call avR2(1245, 0, 61, 5, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    call avR2(1245, 1, 62, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1245, 2, 63, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1245, 3, 64, 5, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,        &
    nGC_3332])

    call avR2(1245, 4, 65, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1245, 5, 66, 5, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    allocate(vertices(1246)%branchR2(0:5))
    call avR2(1246, 0, 67, 5, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    call avR2(1246, 1, 68, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1246, 2, 69, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1246, 3, 70, 5, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,        &
    nGC_3332])

    call avR2(1246, 4, 71, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1246, 5, 72, 5, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    allocate(vertices(1247)%branchR2(0:5))
    call avR2(1247, 0, 73, 5, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    call avR2(1247, 1, 74, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1247, 2, 75, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1247, 3, 76, 5, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,        &
    nGC_3332])

    call avR2(1247, 4, 77, 5, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1247, 5, 78, 5, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    allocate(vertices(1)%branchR2(0:20))
    call avR2(1, 0, 2, 5, 0, VVVV0, 0, [4, 0], [nGC_3333, nGC_9755, nGC_3333])

    call avR2(1, 1, 3, 5, 0, VVVV0, 0, [4, 0], [nGC_9755, nGC_3333, nGC_3333])

    call avR2(1, 2, 4, 5, 0, VVVV0, 0, [4, 0], [nGC_3333, nGC_9755, nGC_3333])

    call avR2(1, 3, 5, 5, 0, VVVV0, 0, [4, 0], [nGC_9755, nGC_3333, nGC_3333])

    call avR2(1, 4, 6, 5, 0, VVVV0, 0, [4, 0], [nGC_3333, nGC_3333, nGC_9755])

    call avR2(1, 5, 7, 5, 0, VVVV0, 0, [4, 0], [nGC_3333, nGC_3333, nGC_9755])

    call avR2(1, 6, 79, 5, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334])

    call avR2(1, 7, 80, 5, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334])

    call avR2(1, 8, 81, 5, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335, nGC_3335])

    call avR2(1, 9, 82, 5, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334])

    call avR2(1, 10, 83, 5, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335, nGC_3335])

    call avR2(1, 11, 84, 5, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335, nGC_3335])

    call avR2(1, 12, 85, 5, 0, VVVV0, 0, [4, 0], [nGC_3336, nGC_3336, nGC_3336])

    call avR2(1, 13, 86, 5, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334])

    call avR2(1, 14, 87, 5, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335, nGC_3335])

    call avR2(1, 15, 88, 5, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335, nGC_3335])

    call avR2(1, 16, 89, 5, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335, nGC_3335])

    call avR2(1, 17, 90, 5, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334])

    call avR2(1, 18, 91, 5, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334])

    call avR2(1, 19, 92, 5, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334])

    call avR2(1, 20, 93, 5, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334])

  end subroutine fill_vertices_mdl4
end module vertices_info4
