!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-29 14:45             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_5563) = coupl(nGC_3476) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_5566) = coupl(nGC_3477) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_5586) = -coupl(nGC_4749)
    coupl(nGC_5599) = -coupl(nGC_4753)
    coupl(nGC_6205) = -coupl(nGC_4907)
    coupl(nGC_6221) = -coupl(nGC_4911)
    coupl(nGC_6524) = -coupl(nGC_4938)
    coupl(nGC_6535) = -coupl(nGC_4941)
    coupl(nGC_6844) = -coupl(nGC_4966)
    coupl(nGC_6988) = -coupl(nGC_4988)
    coupl(nGC_3401) = coupl(nGC_3217)*dydo_QED1
    coupl(nGC_3403) = coupl(nGC_3216)*dydo_QED1
    coupl(nGC_3405) = coupl(nGC_3227)*dys_QED1
    coupl(nGC_3407) = coupl(nGC_3226)*dys_QED1
    coupl(nGC_3409) = coupl(nGC_3211)*dyb_QED1
    coupl(nGC_3411) = coupl(nGC_3205)*dyb_QED1
    coupl(nGC_3425) = coupl(nGC_3221)*dye_QED1
    coupl(nGC_3427) = coupl(nGC_3219)*dye_QED1
    coupl(nGC_3429) = coupl(nGC_3224)*dym_QED1
    coupl(nGC_3431) = coupl(nGC_3222)*dym_QED1
    coupl(nGC_3433) = coupl(nGC_3233)*dytau_QED1
    coupl(nGC_3435) = coupl(nGC_3232)*dytau_QED1
    coupl(nGC_3443) = coupl(nGC_3228)*dyup_QED1
    coupl(nGC_3445) = coupl(nGC_3185)*dyup_QED1
    coupl(nGC_3447) = coupl(nGC_3212)*dyc_QED1
    coupl(nGC_3449) = coupl(nGC_3213)*dyc_QED1
    coupl(nGC_3451) = coupl(nGC_3229)*dyt_QED1
    coupl(nGC_3453) = coupl(nGC_3231)*dyt_QED1
    coupl(nGC_5305) = coupl(nGC_3401) + coupl(nGC_64)*dZdL/2d0 + coupl(nGC_64)*&
                      dZdR/2d0
    coupl(nGC_5306) = coupl(nGC_3403) + coupl(nGC_62)*dZdL/2d0 + coupl(nGC_62)*&
                      dZdR/2d0
    coupl(nGC_5313) = coupl(nGC_3405) + coupl(nGC_76)*dZsL/2d0 + coupl(nGC_76)*&
                      dZsR/2d0
    coupl(nGC_5314) = coupl(nGC_3407) + coupl(nGC_74)*dZsL/2d0 + coupl(nGC_74)*&
                      dZsR/2d0
    coupl(nGC_5321) = coupl(nGC_3409) + coupl(nGC_56)*dZbL/2d0 + coupl(nGC_56)*&
                      dZbR/2d0
    coupl(nGC_5322) = coupl(nGC_3411) + coupl(nGC_54)*dZbL/2d0 + coupl(nGC_54)*&
                      dZbR/2d0
    coupl(nGC_5362) = coupl(nGC_3425) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_5363) = coupl(nGC_3427) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_5370) = coupl(nGC_3429) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_5371) = coupl(nGC_3431) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_5378) = coupl(nGC_3433) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_5379) = coupl(nGC_3435) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_5425) = coupl(nGC_3443) + coupl(nGC_86)*dZuL/2d0 + coupl(nGC_86)*&
                      dZuR/2d0
    coupl(nGC_5426) = coupl(nGC_3445) + coupl(nGC_88)*dZuL/2d0 + coupl(nGC_88)*&
                      dZuR/2d0
    coupl(nGC_5433) = coupl(nGC_3447) + coupl(nGC_58)*dZcL/2d0 + coupl(nGC_58)*&
                      dZcR/2d0
    coupl(nGC_5434) = coupl(nGC_3449) + coupl(nGC_60)*dZcL/2d0 + coupl(nGC_60)*&
                      dZcR/2d0
    coupl(nGC_5441) = coupl(nGC_3451) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78)*&
                      dZtR/2d0
    coupl(nGC_5442) = coupl(nGC_3453) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80)*&
                      dZtR/2d0
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
